Bug 43368 - internal-ls breaks IE and WS-FTP
Summary: internal-ls breaks IE and WS-FTP
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-04 09:20 UTC by Florian Schirmer
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-19 13:30:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Florian Schirmer 2001-06-04 09:20:55 UTC
Using the internal-ls breaks (at least) IE and WS-FTP. Both clients wont 
show files beginning with a dot. (.htaccess, .bash_history, ...)

So either disable the internal-ls or find a fix (preffered) for it :-)

Thanks!

Comment 1 Bernhard Rosenkraenzer 2001-06-26 17:22:54 UTC
Why do you think this is a bug?
dot-files are by definition hidden files, so if you want to see them, pass the 
-a parameter to ls. (Yes, the rule applies for ftp ls, as well).


Comment 2 Florian Schirmer 2001-06-28 15:29:18 UTC
Well it isn't really a bug. But the default with internal-ls is not to show the 
hidden files while without internal-ls they get listed. This is bad IMHO. 
People using IE or WS-FTP have no chance to isse a LIST command with the -a 
param. So if you ask me -a should be the default.

Comment 3 Thomas Woerner 2004-02-19 13:30:46 UTC
Please use vsftpd, wu-ftpd is not maintained anymore.


Note You need to log in before you can comment on or make changes to this bug.